@layout('content.master')
@section('content')
<div class="container">
  <div class="row">
    @if(empty($author->cover_image))
    <div id="header_static" style="background-color: #9699AA; min-height: 520px; background-image: url('https://www.jobs-oberpfalz.de/images/manual/default-arbeitgeber-cover.jpg'); background-position: center; background-size: cover;" >
    </div>
    @else
    <div id="header_static" style="background-color: #9699AA; min-height: 520px; background-image: url('{{ asset('uploads/cover/' . $author->cover_image) }}'); background-position: center; background-size: cover;" >
    </div>
    @endif
  </div>
  <div class="row">
    <div class="col-2">
      <div id="author_logo" style="margin-top: -70px;">
        <img src="{{ $author->gravatar() }}?s=120&d=identicon&r=PG"  class="rounded img-fluid border d-block mx-auto" title="{{ $author->name }}" alt="Logo {{ $author->name }}">
      </div>
    </div>
    <div class="col-10">
      <h1 class="mb-5 mt-4">{{ $author->name }}</h1>
    </div>
    <div class="col-12 fs-4">
      {{ $author->description }}
      <br>
      <br>
      <br>
      <br>
      <br>
      <br>
    </div>
  </div>
  <div class="row">
    @if($nachrichten->count() == 0)
    <div class="col-12">
      <div class="text-center">
        <br>
        <br>
        <br>
        <br>
        <i>Wir haben derzeit leider keine Produkte von {{ $author->name }} bei uns verfügbar.</i>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
      </div>
    </div>
    @else
    <div class="row">
        @foreach($nachrichten as $nach)
          <div class="col-12 col-md-6 col-4 mb-5">
            <a href="{{ route_content($nach) }}" class="text-decoration-none text-dark">
              <div class="card shadow-lg">
                @if ($nach->image)
                  <img class="rounded-top img-fluid" src="{{ asset('uploads/' . $nach->image) }}" loading="lazy">
                @else
                  <img class="rounded-top img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">
                @endif
                <div class="card-body">
                  <h2 class="fs-4">{{$nach->title}}</h2>
                  <a href="{{ route('author.get', [$nach->user->slug]) }}" class="text-decoration-none">
                    <img src="{{ $nach->user->gravatar() }}" width="20px" title="{{ $nach->user->name }}" class="border rounded img-fluid shadow-sm" alt="Logo {{ $nach->user->name }} ">
                    {{ $nach->user->name }}
                  </a>
                  <p class="mt-4">
                    {!! isset($nach->data_fields['short_description'])?$nach->data_fields['short_description']:'keine Angaben' !!}
                  </p>
                </div>
              </div>
            </a>
          </div>
        @endforeach
        <div style="margin: auto;text-align: center; display: table; overflow: scroll;">
          {!! $nachrichten->onEachSide(1)->fragment("latest_jobs")->render() !!}
        </div>
    </div>
    @endif
  </div>
</div>
@stop